PanelWindowContainer.RotatedTextIcon (jEdit API Documentation)

Package org.gjt.sp.jedit.gui

## Class PanelWindowContainer.RotatedTextIcon

- java.lang.Object
- - org.gjt.sp.jedit.gui.PanelWindowContainer.RotatedTextIcon

- All Implemented Interfaces:
    `javax.swing.Icon`
  Enclosing class:
    PanelWindowContainer

      public static class PanelWindowContainer.RotatedTextIcon
      extends java.lang.Object
      implements javax.swing.Icon

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `CCW` |
    `static int` | `CW` |
    `static int` | `NONE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RotatedTextIcon​(int rotate, java.awt.Font font, java.lang.String text)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getIconHeight()` |
    `int` | `getIconWidth()` |
    `void` | `paintIcon​(java.awt.Component c, java.awt.Graphics g, int x, int y)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final int NONE

      See Also:
        Constant Field Values

    - #### CW

          public static final int CW

      See Also:
        Constant Field Values

    - #### CCW

          public static final int CCW

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RotatedTextIcon

          public RotatedTextIcon​(int rotate,
                                 java.awt.Font font,
                                 java.lang.String text)

  - ### Method Detail

    - #### getIconWidth

          public int getIconWidth()

      Specified by:
        `getIconWidth` in interface `javax.swing.Icon`

    - #### getIconHeight

          public int getIconHeight()

      Specified by:
        `getIconHeight` in interface `javax.swing.Icon`

    - #### paintIcon

          public void paintIcon​(java.awt.Component c,
                                java.awt.Graphics g,
                                int x,
                                int y)

      Specified by:
        `paintIcon` in interface `javax.swing.Icon`